@use '@angular/material' as mat;

@include mat.core();

$custom-typography: mat.define-typography-config(
  $font-family: "ui-sans-serif, system-ui, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji'"
);

$custom-primary: mat.define-palette((
  50: #e6eef8,
  100: #c0d3f0,
  200: #95b6e6,
  300: #6998db,
  400: #4a81d3,
  500: #002B6E,
  600: #002659,
  700: #002050,
  800: #001a46,
  900: #001438,
  A100: #99c3ff,
  A200: #4d8aff,
  A400: #0059ff,
  A700: #0047e5,
  contrast: (
    50: black,
    100: black,
    200: black,
    300: white,
    400: white,
    500: white,
    600: white,
    700: white,
    800: white,
    900: white,
    A100: black,
    A200: white,
    A400: white,
    A700: white,
  ),
));

$custom-accent: mat.define-palette((
  50: #e8f0fe,
  100: #c4dbfe,
  200: #9bc4fd,
  300: #72adfc,
  400: #529bfb,
  500: #3860ED,
  600: #3155d6,
  700: #2949bf,
  800: #213ea9,
  900: #172f8a,
  A100: #a5c3ff,
  A200: #6388ff,
  A400: #3155ff,
  A700: #2040e6,
  contrast: (
    50: black,
    100: black,
    200: black,
    300: black,
    400: white,
    500: white,
    600: white,
    700: white,
    800: white,
    900: white,
    A100: black,
    A200: white,
    A400: white,
    A700: white,
  ),
));

$custom-theme: mat.define-light-theme((
  color: (
    primary: $custom-primary,
    accent: $custom-accent,
    warn: $custom-primary
  ),
  typography: $custom-typography,
));


@include mat.all-component-themes($custom-theme);
